> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Event Types

> Retrieve all available webhook event types with descriptions and supported filters.

## Endpoint

```
GET /v3/webhooks/event-types
```

## Example

```bash theme={null}
curl https://api.polynode.dev/v3/webhooks/event-types \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response

```json theme={null}
{
  "event_types": [
    {
      "name": "trade",
      "description": "Fill involving watched wallets or markets",
      "filters": ["wallet_addresses", "token_ids", "condition_ids", "event_slugs", "tags", "min_amount_usd", "side"],
      "exclusive": false
    },
    {
      "name": "redemption",
      "description": "Wallet redeems shares from resolved market",
      "filters": ["wallet_addresses", "condition_ids"],
      "exclusive": true
    },
    {
      "name": "position_status_change",
      "description": "Watched-wallet CTF position transitions, including first observed opens",
      "filters": ["wallet_addresses", "token_ids", "condition_ids", "event_slugs", "tags", "status_from", "status_to"],
      "exclusive": true
    }
  ]
}
```

Events with `"exclusive": true` are only available through polynode.
